
data_dict = {'JS_URLS': ['pivot.css', 'jquery-1.8.3.min.js', \
                'jquery-ui-1.9.2.custom.min.js', 'pivot.js'],
             'ORIGINAL_URL': 'https://oj.leetcode.com/problemset/algorithms/',
             'DATA_STRUCTURE': ['array', 'hash table', 'linked list', 'string', \
                    'data structure', 'tree', 'heap', 'graph', 'stack'],
             'NOT_FREE' : [170, 167, 163, 161, 159, 158, 157, 156],
             'PREFIX' : 'https://oj.leetcode.com'
}


template_string = """
<!DOCTYPE html>
<html>
    <head>
        <title>Leetcode</title>
        <link rel="stylesheet" type="text/css" href=" #REPLACE0 ">
        <script type="text/javascript" src=" #REPLACE1 "></script>
        <script type="text/javascript" src=" #REPLACE2"></script>
        <script type="text/javascript" src=" #REPLACE3 "></script>
        <style>
            * {font-family: Verdana;}
        </style>
    </head>
    <body>
        <script type="text/javascript">
            $(function(){
                var derivers = $.pivotUtilities.derivers;
                $.getJSON("leetcode.json", function(leetcode) {
                    $("#output").pivotUI(leetcode, {

                        rows: ["Name", "Data Structure", "Algorithm"],
                        cols: ["Level"]
                    });
                });
             });
        </script>
        <p style="width: 800px">Pivot table to break down the Leetcode questions by data structure and algorithm.</p>
        <div id="output" style="margin: 30px;"></div>
    </body>
</html>
"""
